<template>
	<view>
		<StickyNavBar>
			<NavBar title="工厂间调拨"></NavBar>
			<view class="btn">
				<uni-easyinput prefixIcon="search" :disabled="isDisabled" v-model="wxparams" :focus="isFocus"
					placeholder="请扫描单号" @input="handleInputPlnr"></uni-easyinput>
			</view>
		</StickyNavBar>
		<view class="cardBox">
			<text class="cardBoxTip"> 步骤一 扫描单号 </text>
			<u-image class="cardBoxImg" :src="bgSrc" width="560rpx" height="400rpx"></u-image>
			<view class="cardBoxTip2"> 摄像头对准 </view>
			<view class="cardBoxTip3"> 生产发料单号二维码 </view>
			<view class="cardBoxTip2">
				<text class="tipLeft"> 点击扫描或 </text>
				<text class="tipRight"> 点选单号 </text>
			</view>
		</view>
		<!-- <BottomBtn :btnArr="btnArr" @getBtnHandle="getBtnHandle"></BottomBtn> -->
	</view>
</template>

<script>
	import StickyNavBar from "@/components/StickyNavBar/index.vue";
	import ContentLoadingMore from "@/components/ContentLoadingMore/index.vue";
	import BottomBtn from "@/components/BottomBtn/index.vue";
	export default {
		components: {
			StickyNavBar,
			ContentLoadingMore,
			BottomBtn,
		},
		data() {
			return {
				bgSrc: require("@/static/images/qrcode.png"),
				number: 0,
				totalNum: 0,
				show: true,
				nlpla: "",
				wxparams: "",
				goodsList: [],
				isFocus: false,
				isDisabled: false,
			};
		},
		created() {},
		methods: {
			handleInputPlnr(e) {
				this.isFocus = false;
				e && this.getPlnr(e);
			},
			getPlnr(e) {
				this.isDisabled = true
				this.$u.api.sapApi
					.sapSearchAllot({
						ebeln: e,
					})
					.then((res) => {
						if (res.length == 0) {
							return setTimeout(() => {
								this.isFocus = true;
								this.isDisabled = false;
								this.wxparams = "";
								this.$u.toast("未查询到数据");
							}, 1000);
						}
						if (
							!res.some((item) => {
								if (item.TYPE == "E") {
									this.$u.toast(item.MESSAGE);
									return true;
								}
								return false;
							})
						) {
							uni.navigateTo({
								url: "/pages/factoryTransfer/transferList?ebeln=" + e,
							});
						}
					});
			},
		},
	};
</script>

<style lang="scss" scoped>
	page {
		background: #f8f8f8;
	}

	.btn {
		padding: 20rpx;
		background: #fff;

		.topSearch {
			margin-bottom: 20rpx;
		}
	}

	.cardBox {
		min-height: calc(100vh - 400rpx);
		padding: 0rpx 20rpx;
		margin-top: 20rpx;
	}

	/deep/ .u-sticky {
		top: 0 !important;
		background: #fff;
	}

	.cardBoxTip {
		color: #000;
		font-size: 28rpx;
	}

	.cardBoxTip2 {
		color: #000;
		font-size: 28rpx;
		text-align: center;
	}

	.cardBoxTip3 {
		color: #3f9dcc;
		font-size: 28rpx;
		text-align: center;
	}

	.tipRight {
		color: #ff9900;
	}
</style>
